CHICKEN(1)

NAME
chicken - A Scheme-to-C translator

SYNOPSIS
chicken PATHNAME [ OPTION ... ]

DESCRIPTION
CHICKEN is a compiler and interpreter for the programming language Scheme supporting most of the features as described in the Revised^5 Report on the Algorithmic Language Scheme . The -B chicken program is the basic Scheme-to-C translator used in this system. For a more convenient interface, see the manual page for csc(1).

OPTIONS
Enter chicken -help for a list of supported command-line options.

ENVIRONMENT VARIABLES

CHICKEN_PREFIX
    Is used as a prefix directory for support files, include-files and libraries.

CHICKEN_INCLUDE_PATH
    Contains one or more pathnames where the compiler should additionally look for include-files, separated by ; characters.

CHICKEN_OPTIONS
    Holds a string of default compiler options that should apply to every invocation of chicken .

DOCUMENTATION
More information can be found in the CHICKEN User's Manual

AUTHORS
The CHICKEN Team.

SEE ALSO
csc(1) chicken-bug(1)